Subject: Re: bug#19164: 24.3; Feature request: describe-key-briefly with prefix argument

From: Stefan Kangas <[email-masked]>
Date: Fri, 5 Jul 2019 15:44:44 +0200

Marcin Borkowski <[email-masked]> writes:

> C-u C-h c C-h c,
>
> this is what appears at point:
>
> C-h c runs the command describe-key-briefly
> C-h c runs the command gnus-article-describe-key-briefly
> (and this behavior is well-documented in the docstring for
> describe-key-briefly).  I would suggest that only the command name
> should be inserted, and the present behavior (if really needed) be
> reserved for e.g. C-u C-u C-h c.  The rationale is that when
> e.g. emailing about some Emacs feature, I'd like to be able to insert
> some command name conveniently; OTOH, it is difficult for me to come up
> with a scenario when the present behavior is needed.

Hi Marcin,

I think that it makes more sense to display help as the default behaviour rather
than inserting the help at point.  The use case for this behaviour is when the
user wants to know what a command does in a brief way without showing the
help buffer.

Therefore I'm against making this change.

To get your preferred behaviour, you could advice
describe-key-briefly, for example like this:

(defun my-flip-second-arg (orig-fun &rest args)
  (apply orig-fun (list (car args) (not (cadr args)))))
(add-function :around (symbol-function 'describe-key-briefly)
#'my-flip-second-arg)

If I don't hear any protests, I will close this bug report as wontfix.

Best regards,
Stefan Kangas